RAMDEFRAG(1)

NAME
ramdefrag - optimize memory performance

SYNOPSIS
ramdefrag [options]

ramdefrag {-c|--cli} [options]

DESCRIPTION
ramdefrag uses secret technologies to optimize RAM performance. By its visionary design, it makes your system run faster, while simultaneously increasing its stability. Testers all over the world report that it also does a great job in delivering world peace and harmony.

OPTIONS
When no contrary options have been given, ramdefrag uses its GTK+ graphical user interface. To change this behaviour, see “User Interface Selection” below.

  General Options
The following options are independent of the currently used user interface.

-h, --help
    display usage information and exit.

-V, --version
    display ramdefrag version and exit.

-H, --nohorsti
    disable usage of H.O.R.S.T.I. This option won't enable the Hybrid Operating Random System Transition Interface, which is needed to access memory structures without superuser privileges. H.O.R.S.T.I. usage is implicitly disabled when ramdefrag is run by the superuser.

-n, --dry-run
    “simulation mode” - just simulate optimizing, but don't touch RAM.

-v, --verbose
    increase verbosity. For debugging purposes, this option can be given more than once.

  User Interface Selection

-g, --gtk
    use the GTK+ user interface. This is the default.

-c, --cli
    use a non-interactive, non-graphical command-line interface (CLI). When using this option, a defragmentation method has to be specified; see “CLI Options” below.

  Command-Line Interface Options
These options are only valid when the command-line interface was enabled via the --cli (-c) option. Keep in mind that you have to explicitly set a defragmentation algorithm by using one of the -s, -d or -o options.

-a, --analyze
    don't do defragmentation; just analyze the actual state of the memory. This option currently is only useful in conjunction with the -f option, see below.

-s, --std-alg
    use the default defragmentation algorithm.

-d, --deep-alg
    use the “deep” defragmentation algorithm.

-o, --opt-alg
    use special optimized defragmentation.

-p, --progress
    show a progress bar made of hash marks.

    WARNING: use of the -p or --progress option in the European Union may be subject to the software patent no. EP 0394160, which is valid until the year 2010, and may have legal consequences. Use of this option in the United States isn't recommended because of similar reasons.

-S, --nostatus
    do not show current defragmentation state. If this option is not in use, the defragmentation states are printed as defragmentation moves on.

-f, --statistics, --fin-stats
    show a detailed report after defragmentation or analysis has finished.

-b, --batchmode
    output machine-readable rather than human-readable statistics. This option can be used e.g. in shell scripts to do automatic defragmentation runs. It implicitely sets the --nostatus and the --statistics options. After defragmentation, the machine-readable output consists of two lines, each of which consist of three values: the percentage of fragmented pages, the system speed index, and the number of deep fragmentation nodes. The first line represents the status before, the second line the status after the defragmentation run.

  Some GTK+-Options
Setting these options is only valid when the GTK+ graphical user interface is used (currently, this is the default, but you can explicitly enable it with the -g or --gtk option).

--display <display>
    The name of the X display to open instead of the one specified in the DISPLAY environment variable.

--sync
    Makes all X requests synchronously. This is a useful option for debugging, but it will slow down the performance considerably.

EXAMPLES
Start ramdefrag in GUI mode:

    ramdefrag

Start ramdefrag without GUI, use special optimized defragmentation algorithms, and display a progress bar while defragmentation is running:

    ramdefrag --cli --std-alg --progress

or

    ramdefrag -csp

Start ramdefrag without GUI, just analyze RAM (without defragmentation), display a progress bar while the memory is being analyzed, and display a final report about the outcome:

    ramdefrag --cli --analyze --progress --statistics

or

    ramdefrag -capf

FILES

$HOME/.ramdefragrc
    configuration file for internal use. Do not edit this file!

ENVIRONMENT
ramdefrag's behavior is affected by the following environment variables.

A locale LC_foo is specified by examining the three environment variables LC_ALL, LC_foo, LANG, in that order. The first of these variables that is set specifies the locale. For example, if LC_ALL is not set, but LC_MESSAGES is set to pt_BR, then Brazilian Portuguese may be used for the LC_MESSAGES locale (if such a translation would exist). The C locale is used if none of these environment variables are set, or if the locale catalog is not installed, or if ramdefrag was not compiled with national language support (NLS).

LC_ALL, LC_CTYPE, LANG
    These variables specify the LC_CTYPE locale, which determines the type of characters, e.g., which characters are whitespace.

LC_ALL, LC_MESSAGES, LANG
    These variables specify the LC_MESSAGES locale, which determines the language that ramdefrag uses for messages. The default C locale uses American English messages.

DIAGNOSTICS
ramdefrag returns 0 on success, and some value greater than 0 if there are any errors.

SECURITY
As ramdefrag uses the new and bleeding-edge H.O.R.S.T.I. technology, it does not need to be run with any special privileges. On the contrary, using ramdefrag or any other GUI tool as the superuser is considered very rude and usually is a Bad Thing™.

BUGS
Email bug reports and/or feature requests to <knilch@users.sourceforge.net>. Be sure to include the word “ramdefrag” somewhere in the “Subject:” field.

ramdefrag uses progress bars, which may fall under some obscure software patents, so using it may bring legal problems if you live in the U.S.A. or some other medieval country.

This manpage is only available in English, and may be slightly outdated.

COPYRIGHT
Copyright © 2004, 2005 knilch <knilch@users.sourceforge.net>
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. You may redistribute copies of ramdefrag under the terms of the GNU General Public License. For more information about these matters, see the file named COPYING.